include(FetchContent)

if(NOT DEFINED UNITS_REPO)
    set(UNITS_REPO https://github.com/nholthaus/units.git)
endif ()

FetchContent_Declare(
        units
        EXCLUDE_FROM_ALL
        GIT_REPOSITORY ${UNITS_REPO}
        GIT_TAG v2.3.3
        GIT_SHALLOW TRUE
)
FetchContent_MakeAvailable(units)

